1. Pay-In
Mozarto - The Payments Orchestration Platform
  • 1. Introduction
  • 2. Quick Start
  • 3. Authentication
  • 4. Webhook Setup
  • 5. Errors
  • 6. Redirect flow
    • Pay-In Flow
    • Pay-Out Flow
  • 7. Payment Providers (PSPs)
    • Overview
    • Brite
    • CashLib
    • Cleo
    • Contiant
    • emerchantpay
    • Flexepin
    • ForumPay
    • Gigadat
    • Neosurf
    • OFApay
    • PayModum
    • PayOne
    • PawaPay
    • Trust Payments
    • Worldpay
  • 8. Redirect Flow APIs
    • Redirect Flow APIs - overview
    • Pay-In
      • Brite
        POST
      • CashLib
        POST
      • Cleo
        POST
      • Contiant
        POST
      • emerchantpay
        POST
      • Flexepin
        POST
      • Forumpay
        POST
      • Gigadat
        POST
      • Neosurf
        POST
      • OFApay
        POST
      • PawaPay
        POST
      • Paymodum
        POST
      • PayOne
        POST
      • Trust Payments
        POST
      • WorldPay
        POST
    • Pay-Out
      • Cleo
      • Forumpay
      • Gigadat withdraw ACH
      • Gigadat withdraw ETO
      • OFApay
      • PawaPay
      • PayOne
      • Trust Payments
    • Webhook
      • PayOne status webhook
      • ForumPay status webhook
  • Schemas
    • TransactionData
  1. Pay-In

Paymodum

Prod Env
https://backend.app.mozarto.io
Prod Env
https://backend.app.mozarto.io
POST
/v1/api/mozarto/cashier

Request

Header Params

Body Params application/json

Example
{
  "pspType": "PAYMODUM",
  "type": "PAYIN",
  "baseamount": 200,
  "currency": "USD",
  "country": "US",
  "userId": "000000000000000000000001",
  "firstName": "John",
  "lastName": "Smith",
  "email": "merchant-user@example.com",
  "phone": "+12345678909",
  "dob": "1975-01-18",
  "ssn": "123456789",
  "address": "123 Main St.",
  "city": "Pawnee",
  "state": "IN",
  "zipCode": "46001",
  "merchantReference": "ORDER-4821"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.app.mozarto.io/v1/api/mozarto/cashier' \
--header 'Authorization: Bearer {{BRAND_TOKEN}}' \
--header 'x-user-token: Bearer {{USER_TOKEN}}' \
--header 'Content-Type: application/json' \
--data-raw '{
  "pspType": "PAYMODUM",
  "type": "PAYIN",
  "baseamount": 200,
  "currency": "USD",
  "country": "US",
  "userId": "000000000000000000000001",
  "firstName": "John",
  "lastName": "Smith",
  "email": "merchant-user@example.com",
  "phone": "+12345678909",
  "dob": "1975-01-18",
  "ssn": "123456789",
  "address": "123 Main St.",
  "city": "Pawnee",
  "state": "IN",
  "zipCode": "46001",
  "merchantReference": "ORDER-4821"
}'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
  "status": "success",
  "message": "Successfully",
  "isSuccess": true,
  "data": {
    "transactionId": "64a1f2b3c4d5e6f7a8b9c0d1",
    "merchantReference": "ORDER-4821",
    "amount": 200,
    "transaction_status": "Initiated",
    "paymentUrl": "https://link.paymodum.com/hosted/idv_abc123"
  }
}
🟠400
🔴500
Modified at 2026-09-29 12:18:31
Previous
PawaPay
Next
PayOne
Built with